REM ============================================================
REM FILE: Build.bat
REM DESC: This File will Build the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR gui
MKDIR util

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .

COPY src\gui\*.java gui
COPY src\util\*.java util

REM ------------------------------------------------------------
REM COMPILE 
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation REORDER_Files.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java

DEL gui\*.java
DEL util\*.java

REM ------------------------------------------------------------
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL REORDER_Files.txt

C:\jdk1.7.0_25\bin\jar cvfm REORDER_Files.jar Manifest.txt *.class gui util images
C:\jdk1.7.0_25\bin\jar tvf REORDER_Files.jar > REORDER_Files.txt

MOVE REORDER_Files.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL gui /q
DEL util /q

RMDIR gui
RMDIR util

DEL *.class
